Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6183297

signature of 5.0 installers still says "1.5.0", should say 5.0

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 5.0u1
    • Fix Version/s: 5.0u2
    • Component/s: install
    • Labels:
    • Subcomponent:
    • Resolved In Build:
      b03
    • CPU:
      generic
    • OS:
      generic
    • Verification:
      Not verified

      Backports

        Description

        The information we are using when we sign the installer files has the string: "Java Plug-in 1.5.0". For winxp SP2, this will be shown any time the user runs the installer. So all java.com and java.sun.com users will first see 1.5.0 when they run the installer. This was not the case before winxp SP2 was released. Before winxp SP2, this problem would only exist using java.com/getjava.

        Also, for 5.0u1, it still says "Java Plug-in 1.5.0". It should really include the "Update 1".

        Another issue I see with this is that we aren't only installing the Java Plug-in, so it should have the proper jre and jdk names.
         
        The jre string should be: "J2SE Runtime Environment 5.0".
        The jdk string should be: "J2SE Development Kit 5.0".

        ###@###.### 10/22/04 18:53 GMT
        ###@###.### 10/22/04 21:38 GMT

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                billyh William Harnois
                Reporter:
                billyh William Harnois
                Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:
                  Imported:
                  Indexed: